### Enumeration

# Gio DBusSignalFlags

since: 2.26

#### Declaration

    flags Gio.DBusSignalFlags

#### Description [src]

Flags used when subscribing to signals via g_dbus_connection_signal_subscribe().

Available since: 2.26

#### Members

Name | Description
--- | ---
`G_DBUS_SIGNAL_FLAGS_NONE` | No flags set.
`G_DBUS_SIGNAL_FLAGS_NO_MATCH_RULE` | Don’t actually send the AddMatch D-Bus call for this signal subscription. This gives you more control over which match rules you add (but you must add them manually).
`G_DBUS_SIGNAL_FLAGS_MATCH_ARG0_NAMESPACE` | Match first arguments that contain a bus or interface name with the given namespace.
`G_DBUS_SIGNAL_FLAGS_MATCH_ARG0_PATH` | Match first arguments that contain an object path that is either equivalent to the given path, or one of the paths is a subpath of the other.